Subject: Re: [BUG] Sticky-sh POSIX_TRAPS are function-local
From: Bart Schaefer <[email-masked]>
To: [email-masked]
Date: Tue, 16 Feb 2016 20:25:47 -0800
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Feb 17, 12:38am, Martijn Dekker wrote:
} 
} With your current patch, the function-local trap wipes out the global
} POSIX exit trap, so the last line of expected output doesn't appear.

Hrm.  I think the point is that there are no function-local traps in
POSIX, so the POSIX trap obeys the POSIX rules even when another trap
is set in non-POSIX scope.

I could see an argument either way, though.  I could also see an argument
that the localtraps option should affect this (even though it's not usually
needed for global traps).